Personnel
Method & Permission
| API | GET | POST | PUT | PATCH | DELETE |
|---|---|---|---|---|---|
| Personnel List | Admin, Member | Admin | - | - | - |
| Personnel Detail | Admin, Member | - | - | Admin, Member** | - |
**Member can only update the following fields:
- first_name
- last_name
- metadata
- dashboard
- should_receive_weekly_digest
- should_receive_statement_digest
- should_receive_mention_notification
- should_receive_record_change_notification
- should_receive_notification_email
GET Organization Personnel List
Endpoint: /organizations/personnel/list/{level}/{sid}/{serializer}/
Return the members of the organization.
Parameter: level (path, string)
organization
Parameter: sid (path, string)
organization sid
Parameter: serializer (path, string)
Parameter: token (header, string)
Response: 200
# serializer = name
{
"page_size": 10,
"page_number": 1,
"page_count": 1,
"count": 1,
"next": null,
"previous": null,
"add_permission": true,
"results": [
{
"sid": "xxx",
"name": "xxx"
}
]
}
# serializer = list
{
"page_size": 10,
"page_number": 1,
"page_count": 1,
"count": 1,
"next": null,
"previous": null,
"add_permission": true,
"results": [
{
"sid": "xxx",
"name": "xxx",
"email": "xxx@labii.com",
"title": "Administrator",
"is_administrator": true,
"is_archived": false,
"date_start": "2020-05-31",
"date_end": null,
"change_permission": true
}
]
}
# serializer = detail
{
"page_size": 10,
"page_number": 1,
"page_count": 1,
"count": 1,
"next": null,
"previous": null,
"add_permission": true,
"results": [
{
"sid": "xxx",
"name": "xxx",
"email": "xxx@labii.com",
"first_name": "xxx",
"last_name": "xxx",
"title": "Administrator",
"date_start": "2020-05-31",
"date_end": null,
"is_administrator": true,
"dashboard": [
{
"link": "https://docs.labii.com/quick-start",
"note": "1. Quick start guide"
},
...
],
"is_use_single_sign_on": true,
"should_receive_weekly_digest": true,
"should_receive_mention_notification": true,
"should_receive_record_change_notification": true,
"metadata": [
],
"is_archived": false,
"change_permission": true,
"updated_by": "xxx",
"date_updated": "2020-05-31T07:00:46.705116Z"
}
]
}
POST Organization Personnel List
Endpoint: /organizations/personnel/list/{level}/{sid}/{serializer}/
Create one or more members to the organization
Parameter: level (path, string)
organization
Parameter: sid (path, string)
organization sid
Parameter: serializer (path, string)
Parameter: token (header, string)
Parameter: email (body, string)
Parameter: first_name (body, string)
Parameter: last_name (body, string)
Parameter: title (body, string)
Parameter: date_start (body, string)
Parameter: date_end (body, string)
Parameter: is_administrator (body, string)
Parameter: is_archived (body, string)
Response: 201
{
"sid": "xxx",
"name": "xxx",
"email": "xxx@labii.com",
"first_name": "xxx",
"last_name": "xxx",
"title": "Administrator",
"date_start": "2020-05-31",
"date_end": null,
"is_administrator": true,
"dashboard": [
{
"link": "https://docs.labii.com/quick-start",
"note": "1. Quick start guide"
},
...
],
"is_use_single_sign_on": true,
"should_receive_weekly_digest": true,
"should_receive_mention_notification": true,
"should_receive_record_change_notification": true,
"metadata": [
],
"is_archived": false,
"change_permission": true,
"updated_by": "xxx",
"date_updated": "2020-05-31T07:00:46.705116Z"
}
Response: 406
- The fields organization, user must make a unique set.
- Your organization does not have enough seats to add new members. Contact sales@labii.com to increase seats.
- Wrong email: xxx. Emails from academic or non-profile companies only.
GET Organization Personnel Detail
Endpoint: /organizations/personnel/detail/{sid}/
Get the detail of a member.
Parameter: sid (path, string)
Response: 200
{
"sid": "xxx",
"name": "xxx",
"email": "xxx@labii.com",
"first_name": "xxx",
"last_name": "xxx",
"title": "Administrator",
"date_start": "2020-05-31",
"date_end": null,
"is_administrator": true,
"dashboard": [
{
"link": "https://docs.labii.com/quick-start",
"note": "1. Quick start guide"
},
...
],
"is_use_single_sign_on": true,
"should_receive_weekly_digest": true,
"should_receive_mention_notification": true,
"should_receive_record_change_notification": true,
"metadata": [
],
"is_archived": false,
"change_permission": true,
"updated_by": "xxx",
"date_updated": "2020-05-31T07:00:46.705116Z"
}
PATCH Organization Personnel Detail
Endpoint: /organizations/personnel/detail/{sid}/
Update the data for a member
Parameter: sid (path, string)
Parameter: title (body, string)
Parameter: date_start (body, string)
Parameter: date_end (body, string)
Parameter: is_administrator (body, string)
Parameter: is_archived (body, string)
Response: 200
{
"sid": "xxx",
"name": "xxx",
"email": "xxx@labii.com",
"first_name": "xxx",
"last_name": "xxx",
"title": "Administrator",
"date_start": "2020-05-31",
"date_end": null,
"is_administrator": true,
"dashboard": [
{
"link": "https://docs.labii.com/quick-start",
"note": "1. Quick start guide"
},
...
],
"is_use_single_sign_on": true,
"should_receive_weekly_digest": true,
"should_receive_mention_notification": true,
"should_receive_record_change_notification": true,
"metadata": [
],
"is_archived": false,
"change_permission": true,
"updated_by": "xxx",
"date_updated": "2020-05-31T07:00:46.705116Z"
}